classDisplayName, class, classID = UnitClass("player");
------------------------------------------------------------------------------------------------------
local automation = CreateFrame("Frame")
automation:RegisterEvent("ADDON_LOADED")
automation:RegisterEvent("ZONE_CHANGED_NEW_AREA")
automation:RegisterEvent("COMMENTATOR_ENTER_WORLD")
automation:SetScript("OnEvent", function(self, event, arg1)
    if event == "ADDON_LOADED" and arg1 == "GameDouble" then
        if AutomaticActivation == nil then
            AutomaticActivation = 0
        end
	end
end)
automation:SetScript("OnEvent", function(self, event)
	if event == "ZONE_CHANGED_NEW_AREA" or "COMMENTATOR_ENTER_WORLD" then
        if AutomaticActivation == 1 then
			MainMenuBarLeftEndCap:Hide()
			MainMenuBarRightEndCap:Hide()
			if classID == 11 then do --druid
			end
			elseif classID == 10 then do --monk
			end
			elseif classID == 9 then do --warlock
				WarlockPowerFrame:ClearAllPoints()
				WarlockPowerFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -100)
				WarlockPowerFrame:SetScale(1.7)
			end
			elseif classID == 8 then do --mage
			end
			elseif classID == 7 then do --shaman
			end
			elseif classID == 6 then do --deathknight
				PlayerFrameManaBar:SetScale(1.75)
				PlayerFrameManaBar:ClearAllPoints()
				PlayerFrameManaBar:SetPoint("CENTER", UIParent, "CENTER", -4, -80)
				RuneFrame:SetScale(1.7)
				RuneFrame:ClearAllPoints()
				RuneFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -100)
			end
			elseif classID == 5 then do --priest
			end
			elseif classID == 4 then do --rogue
			end
			elseif classID == 3 then do --hunter
			end
			elseif classID == 2 then do --paladin
				PaladinPowerBar:ClearAllPoints()
				PaladinPowerBar:SetPoint("CENTER",UIParent,"CENTER",0,-100)
				PaladinPowerBar:SetScale(1.7)
			end
			elseif classID == 1 then do --warrior
			end
		end
	end
	end
end)
------------------------------------------------------------------------------------------------------------------------
SLASH_GAMEDOUBLE1, SLASH_GAMEDOUBLE2 = '/gamedouble', '/gd';
local function handler(msg, editBox)
	if msg == 'auto' then
		if AutomaticActivation == 0 then
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Automatic activation on")
			AutomaticActivation = AutomaticActivation + 1
		elseif AutomaticActivation == 1 then
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Automatic activation off")
			AutomaticActivation = AutomaticActivation - 1
		end
	end
	if msg == 'speech' then
			SendChatMessage("Sons of Orgrimmar! Of the Horde! My brothers. I see in your eyes the same fear that would take the heart of me. A day may come when the courage of Orcs fails, when we forsake our friends and break all bonds of fellowship, but it is not this day.",YELL)
			SendChatMessage("An hour of wolves and shattered shields when the Age of Orcs comes crashing down, but it is not this day! This day we fight! By all that you hold dear on this good Azeroth, I bid you stand, Men of the Horde!",YELL)
		end
	end
	if msg == '' then
		if AutomaticActivation == 1 then
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon currently running automatically")
			DEFAULT_CHAT_FRAME:AddMessage("List of current commands:")
			DEFAULT_CHAT_FRAME:AddMessage("/gd auto - Toggles automatic activation")
			DEFAULT_CHAT_FRAME:AddMessage("/gd run  - Run the addon")
		else
			DEFAULT_CHAT_FRAME:AddMessage("List of current commands:")
			DEFAULT_CHAT_FRAME:AddMessage("/gd auto - Toggles automatic activation")
			DEFAULT_CHAT_FRAME:AddMessage("/gd run  - Run the addon")
		end
	end
	if msg == 'run' then
		DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Configured for "..classDisplayName)
		MainMenuBarLeftEndCap:Hide()
		MainMenuBarRightEndCap:Hide()
		if classID == 11 then do --druid
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 10 then do --monk
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 9 then do --warlock
			WarlockPowerFrame:ClearAllPoints()
			WarlockPowerFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -100)
			WarlockPowerFrame:SetScale(1.7)
		end
		elseif classID == 8 then do --mage
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 7 then do --shaman
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 6 then do --deathknight
			PlayerFrameManaBar:SetScale(1.75)
			PlayerFrameManaBar:ClearAllPoints()
			PlayerFrameManaBar:SetPoint("CENTER", UIParent, "CENTER", -4, -80)
			RuneFrame:SetScale(1.7)
			RuneFrame:ClearAllPoints()
			RuneFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -100)
		end
		elseif classID == 5 then do --priest
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 4 then do --rogue
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 3 then do --hunter
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
		elseif classID == 2 then do --paladin
			PaladinPowerBar:ClearAllPoints()
			PaladinPowerBar:SetPoint("CENTER",UIParent,"CENTER",0,-100)
			PaladinPowerBar:SetScale(1.7)
		end
		elseif classID == 1 then do --warrior
			DEFAULT_CHAT_FRAME:AddMessage("GameDouble UI Addon: Class not fully configured")
		end
	end
end
SlashCmdList["GAMEDOUBLE"] = handler;